/*
 * options.h - read command line options
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Oct 31 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: options.h,v 1.3 2005/04/03 16:25:07 tronkko Exp $
 *
 * $Log: options.h,v $
 * Revision 1.3  2005/04/03 16:25:07  tronkko
 * defaults variable
 *
 * Revision 1.2  2005/01/09 21:07:05  tronkko
 * updated copyright
 *
 * Revision 1.1  2004/11/20 10:57:11  tronkko
 * Initial revision
 *
 */
#ifndef OPTIONS_H
#define OPTIONS_H

/* name of variable (in the environment) containing default options */
#define DEFAULTS_VAR "PGARDENS"


/* get default parameters from the environment */
void get_defaults (void);

/* read general command line options */
void read_options (int *argc, char **argv);

/* print help on options that are specific to selected gfx library */
void print_graphics_options (void);

/* read graphics related options from cmd line */
int read_graphics_options (int *argc, char **argv, int i);

#endif /*OPTIONS_H*/
