/*
 * person.h - characters of Peach Gardens
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 * Apr  4 2005, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: person.h,v 1.1 2005/06/22 13:06:52 tronkko Exp $
 *
 * $Log: person.h,v $
 * Revision 1.1  2005/06/22 13:06:52  tronkko
 * Initial revision
 *
 *
 */
#ifndef PERSON_H
#define PERSON_H

/*
 * List of available persons.  To add a new person, modify:
 *
 *   a) read_preserved() function in script.c to read person name from
 *      script file and convert it to person enumeration, 
 *   b) map person enumeration to name in person_name() function in person.c
 *      file
 *   c) insert face graphic to face.pcx file, and modify draw_face()
 *      function in person.c to locate face by the enumeration.
 */
enum person_t {
  Nobody = 0, 
  Stan = 1,
  Anna = 2,
  Rosalila = 3,
  Elsa = 4
};


/* get name of person */
const char *person_name (enum person_t who);

/* draw person's face to (x1,y1)-(x2,y2) */
void draw_face (enum person_t who, int x1, int y1, int x2, int y2);

/* module initialization */
void init_person (void);
void done_person (void);
  
#endif /*PERSON_H*/
