/*
 * text.h - text printing
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Nov 16 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: text.h,v 1.4 2005/06/22 13:08:34 tronkko Exp $
 *
 * $Log: text.h,v $
 * Revision 1.4  2005/06/22 13:08:34  tronkko
 * moved textwidth() and textheight() to font module
 *
 * Revision 1.3  2005/04/03 16:33:58  tronkko
 * textn(), setwrap(), wrap_text()
 *
 * Revision 1.2  2005/01/09 21:14:16  tronkko
 * moved font handling to font.h
 *
 * Revision 1.1  2004/11/20 10:59:37  tronkko
 * Initial revision
 *
 *
 */
#ifndef TEXT_H
#define TEXT_H

#include "font.h"

/* print string s to current text position using current font */
void text (const char *s);

/* like text() but print at most n characters */
void textn (const char *s, unsigned int n);

/* print multi-line string s wrapping lines automatically */
void wrap_text (const char *s);

/* set boundaries for automatic line wrapping */
void setwrap (int x1, int y1, int x2, int y2);

/* set text position */
void settextpos (int x, int y);

/* get current text position */
int textx (void);
int texty (void);

#endif /*TEXT_H*/
