/*
 * t-basename.c - check basename() function
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 * 
 * Dec 23 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: t-basename.c,v 1.1 2005/01/09 21:15:02 tronkko Exp $
 *
 * $Log: t-basename.c,v $
 * Revision 1.1  2005/01/09 21:15:02  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "basename.h"

#undef NDEBUG
#include <assert.h>


/* get basename of x and compare it with y */
#define CHECK_BASENAME(x,y) \
  do{ \
    char __buffer[200]; \
    char *__p; \
    strcpy (__buffer, (x)); \
    __p = basename (__buffer); \
    assert (strcmp (__p, (y)) == 0); \
  }while(0)


int
main (int argc, char *argv[])
{
  int chatty = 0;
  (void) argv;
  if (argc > 1) chatty = 1;

  CHECK_BASENAME ("..",                 "..");
  CHECK_BASENAME ("directory",          "directory");
  CHECK_BASENAME ("directory/file.ext", "file.ext" );
  CHECK_BASENAME ("directory/file",     "file");
  CHECK_BASENAME ("directory/",         "directory");
  CHECK_BASENAME ("directory////",      "directory");
  CHECK_BASENAME (".",                  ".");
  CHECK_BASENAME ("1/2/3/directory",    "directory");
  CHECK_BASENAME ("/",                  "");
  CHECK_BASENAME ("/////",              "");
  CHECK_BASENAME ("/directory",         "directory");
  
  return EXIT_SUCCESS;
}
