/*
 * t-credits.c - check credits screens
 * 
 * Copyright (C) 2005  Toni Ronkko
 * 
 * Peach Gardens is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * Peach Gardens is distributed in the hope that it will be useful, but 
 * WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with Peach Gardens; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * 
 * Dec 28 2004, Toni Ronkko <toni at users.playstation2-linux.com>
 *
 * $Id: t-credits.c,v 1.3 2005/06/22 13:16:36 tronkko Exp $
 *
 * $Log: t-credits.c,v $
 * Revision 1.3  2005/06/22 13:16:36  tronkko
 * parts of test code moved to pgardens.c
 *
 * Revision 1.2  2005/04/03 16:35:21  tronkko
 * test stan
 *
 * Revision 1.1  2005/01/09 21:16:18  tronkko
 * Initial revision
 *
 *
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>

#include "credits.h"
#include "input.h"
#include "options.h"
#include "graphics.h"
#include "title.h"
#include "font10x16.h"
#include "font16x24.h"
#include "scriptfont.h"
#include "resource.h"
#include "ticks.h"
#include "debug.h"

#include "map.h"
#include "view.h"
#include "sprite.h"

#undef NDEBUG
#include <assert.h>




int
main (int argc, char *argv[])
{
  int chatty = 0;
  (void) argv;
  if (argc > 1) chatty = 1;

  /* read command line args */
  init_graphics ();
  get_defaults ();
  read_options (&argc, argv);

  /* initialize subsystems */
  init_resource ();
  init_input ();
  init_title ();
  init_font10x16 ();
  init_scriptfont ();
  init_font16x24 ();
  
  /* show credits */
  if (chatty) {
    if (open_screen ()) {
      credits ();
      close_screen ();
    }
  }

  done_font10x16 ();
  done_scriptfont ();
  done_font16x24 ();
  done_title ();
  done_input ();
  done_resource ();
  done_graphics ();
  return EXIT_SUCCESS;
}
